lv.lumii.layoutengine

## Enum Box.BoxSide

- java.lang.Object
- - java.lang.Enum<Box.BoxSide>
  - - lv.lumii.layoutengine.Box.BoxSide

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Box.BoxSide>
  Enclosing class:
    Box

      public static enum Box.BoxSide
      extends java.lang.Enum<Box.BoxSide>

  Stores the side of a box that a points lies on.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM` The bottom side of a box.
    `LEFT` The left side of a box.
    `RIGHT` The right side of a box.
    `TOP` The top side of a box.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Box.BoxSide` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Box.BoxSide[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP

          public static final Box.BoxSide TOP

      The top side of a box.

    - #### RIGHT

          public static final Box.BoxSide RIGHT

      The right side of a box.

    - #### BOTTOM

          public static final Box.BoxSide BOTTOM

      The bottom side of a box.

    - #### LEFT

          public static final Box.BoxSide LEFT

      The left side of a box.

  - ### Method Detail

    - #### values

          public static Box.BoxSide[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Box.BoxSide c : Box.BoxSide.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Box.BoxSide valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null